Subject: Re: [Cbe-oss-dev] [PATCH 0/15] spidernet driver bug fixes

From: Jeff Garzik <[email-masked]>
Date: Thu, 14 Jun 2007 19:01:10 -0400

David Woodhouse wrote:
> On Wed, 2007-06-13 at 11:14 -0500, Linas Vepstas wrote:
>> Some googling seems to show that "git pull" has a bug/feature of
>> ignoring the branch that one is working in, and pulling "master"
>> no matter what.  I have no clue why; this seems broken to me.
> 
> Branches are generally a PITA -- it's probably best just to avoid them
> entirely. It's not as if it's hard to create separate trees, and even
> share objects between the trees.

It makes diffing between lines of development more difficult, takes up 
more overall space, less cache friendly, ...

	Jeff